Jupgrade i Joomla! 2.5.x - problem z migracją?

środa, 27 czerwiec 2012 12:45 | Napisał:  Michał Trzepizur

Często korzystam z komponentu Jupgrade do przeprowadzenia migracji z Joomla! 1.5 do 2.5.x. Niestety od momentu pojawienia się Joomla! 2.5.6 z komponentem Jupgrade mam problem - przestał poprawnie działać.

Jupgrade niestety ma problem z wersją J! > 2.5.4.

Rozwiązanie problemu jest następujące:

1. Zainstalować Jupgrade na J! 1.5.26
2. Rozpocząć migrację - jeśli pojawią się jakieś błędy np: (Fatal error: Class 'JModelLegacy' not found in ....) należy :

  • wykasować wszystkie pliki z katalogu /jupgrade
  • wgrać tam pliki J! 2.5.3 lub 2.5.4
  • zmienić w preferencjach Jupgrade ( pomiń pobieranie na TAK i pomiń rozpakowywanie na TAK )

3. Koniecznie po zapisaniu preferencji Jupgrade należy się wylogować z zaplecza
4. Zalogować ponownie na zaplecze
5. Wybrać komponent Jupgrade i rozpocząć migrację

Po zakończeniu migracji oczywiście możemy sobie przeprowadzić aktualizację Joomla! 2.5.x do najnowszej wersji.

Czytany 16253 razy Ostatnio zmieniany czwartek, 17 styczeń 2013 07:38
Oceń ten artykuł
(0 głosów)
Michał Trzepizur

Michał Trzepizur

Administrator Joomla! Wiceprezes Fundacji PCJ "Otwarte Źródła". Twórca programu JAMP (lokalny serwer dla Joomla!). Administrator Polskiego Centrum Joomla!. Zawodowo związany z branżą IT. Od wielu lat zajmuje się administracją witryn opartych o CMS Joomla!.

comments powered by Disqus